%define	name	gentoo
%define	version	0.11.34
%define	rel	3mdk
 

Summary:	Gentoo is a graphical file management program
Name:		%{name}
Version:	%{version}
Release:	%rel
License:	GPL
Group:		File tools
URL:		http://www.obsession.se/gentoo 
Source:		ftp://ftp.obsession.se/gentoo/%{name}-%{version}.tar.bz2 
Source1:	%name-48.png
Source2:	%name-32.png
Source3:	%name-16.png
Source4:	%name-rpm.xpm.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libgtk+1.2-devel >= 1.2.5
BuildRequires:  libfam-devel
Requires:	gtk+ >= 1.2.5

%description
Gentoo is a modern, powerful, flexible, and utterly configurable
file manager for UNIX systems, written using the GTK+ toolkit.
It aims to be 100% graphically configurable; there's no need to
edit config files by hand and then restart the application.
gentoo is somewhat inspired in its look & feel by the classic
Amiga program DirectoryOpus.

%prep
%setup -q
# this replaces the RH logo rpm icon
bzcat %{SOURCE4} > icons/rpm.xpm

%build
%configure2_5x
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
%find_lang %name


#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gentoo"\
title="Gentoo"\
longtitle="A file manager"\
needs="x11"\
icon="%name.png"\
section="Applications/File tools"
EOF
)
#icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
install -m 644 %SOURCE1 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %name.lang
%defattr(-,root,root)
%doc docs/* BUGS CONFIG-CHANGES CREDITS README* ONEWS
%config(noreplace) %{_sysconfdir}/gentoogtkrc
%config(noreplace) %{_sysconfdir}/gentoorc
%{_bindir}/gentoo
%{_datadir}/gentoo
%_menudir/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.11.34-3mdk
- Rebuild

* Mon Sep 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.11.34-2mdk
- small spec fix
- from Charles A Edwards:
 - replace RedHat logo for rpm files 

* Mon Sep 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.11.34-1mdk
- updates suggested by Charles A Edwards <eslrahc@bellsouth.net>
 - new version
 - icons
 - spec cleanup
 - buildrequires

* Tue Jul 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.11.30-1mdk
- add locales
- menu entry
- 0.11.30
- from Charles A Edwards <eslrahc@bellsouth.net> :
	- Reintroduce to Mandrake  
